Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class ResourceManagersTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.ResourceManagersTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ResourceManagersType<T>

    public class ResourceManagersTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ResourceManagersType<T>

This class implements the `resource-managersType` xsd type

Original Documentation:

The resource-managers element is used to declare resource managers. A
resource has 3 names: - the "code name" is the name used in the code of the bean, supplied
by the Bean Developer in the resource-ref section of the ejb-jar.xml file - the "xml name"
is an intermediary name used by the Application Assembler to identify resources in the XML
file. - the "runtime jndi name" is the actual jndi-name or url of the deployed resource, it
is supplied by the Deployer. The mapping between the "code name" and the "xml name" is given
in the resource-ref section for the bean. If not, jboss will assume that "xml name" = "code
name". The mapping between the "xml name" and the "runtime jndi name" is given in a
resource-manager section. If not, and if the datasource is of type javax.sql.DataSource,
jboss will look for a javax.sql.DataSource in the jndi tree. Used in: jboss

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ResourceManagersTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ResourceManagersTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<ResourceManagerType<ResourceManagersType<T>>>` | `getResourceManagerList()` Returns all `resource-manager` elements
`ResourceManagersType<T>` | `removeAllDescription()` Removes the `description` element
`ResourceManagersType<T>` | `removeAllResourceManager()` Removes all `resource-manager` elements
`ResourceManagerType<ResourceManagersType<T>>` | `resourceManager()` Returns the `resource-manager` element
`ResourceManagersType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ResourceManagersType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceManagersTypeImpl

    public ResourceManagersTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### ResourceManagersTypeImpl

    public ResourceManagersTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ResourceManagersType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ResourceManagersType<T>`
  Returns:
    the current instance of `ResourceManagersType`

### setDescriptionList

    public ResourceManagersType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ResourceManagersType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ResourceManagersType`

### removeAllDescription

    public ResourceManagersType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ResourceManagersType<T>`
  Returns:
    the current instance of `ResourceManagersType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ResourceManagersType<T>`
  Returns:
    list of `description`

### removeAllResourceManager

    public ResourceManagersType<T> removeAllResourceManager()

  Removes all `resource-manager` elements

  Specified by:
    `removeAllResourceManager` in interface `ResourceManagersType<T>`
  Returns:
    the current instance of `ResourceManagersType`

### resourceManager

    public ResourceManagerType<ResourceManagersType<T>> resourceManager()

  Returns the `resource-manager` element

  Specified by:
    `resourceManager` in interface `ResourceManagersType<T>`
  Returns:
    the node defined for the element `resource-manager`

### getResourceManagerList

    public java.util.List<ResourceManagerType<ResourceManagersType<T>>> getResourceManagerList()

  Returns all `resource-manager` elements

  Specified by:
    `getResourceManagerList` in interface `ResourceManagersType<T>`
  Returns:
    list of `resource-manager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD